create_plane#
- Modeler3D.create_plane(name=None, plane_base_x='0mm', plane_base_y='0mm', plane_base_z='0mm', plane_normal_x='0mm', plane_normal_y='0mm', plane_normal_z='0mm', color='(143 175 143)')[source]#
Create a plane.
- Parameters:
- name
str
,optional
Name of the plane. The default is
None
, in which case the default name is assigned.- plane_base_x
str
X coordinate of the plane base. The default value is
"0mm"
.- plane_base_y
str
Y coordinate of the plane base. The default value is
"0mm"
.- plane_base_z
str
Z coordinate of the plane base. The default value is
"0mm"
.- plane_normal_x
str
X coordinate of the normal plane. The default value is
"0mm"
.- plane_normal_y
str
Y coordinate of the normal plane. The default value is
"0mm"
.- plane_normal_z
str
Z coordinate of the normal plane. The default value is
"0mm"
.- color
str
,optional
String exposing the three integer values for the color of the plane. The default value is
"(143 175 143)"
.
- name
- Returns:
ansys.aedt.core.modeler.cad.primitives.Plane
Planes object.
References
>>> oEditor.CreateBox
Examples
Create a new plane. >>> from ansys.aedt.core import hfss >>> hfss = Hfss() >>> plane_object = hfss.modeler.primivites.create_plane(plane_base_y=”-0.8mm”, plane_normal_x=”-0.7mm”, … name=”myplane”)